NMDeviceWifi
3
LIBNM-GLIB Library

# NMDeviceWifi

## Synopsis

    #define             NM_DEVICE_WIFI_HW_ADDRESS
    #define             NM_DEVICE_WIFI_MODE
    #define             NM_DEVICE_WIFI_BITRATE
    #define             NM_DEVICE_WIFI_ACTIVE_ACCESS_POINT
    #define             NM_DEVICE_WIFI_CAPABILITIES
                        NMDeviceWifi;
    GObject*            nm_device_wifi_new                  (DBusGConnection *connection,
                                                             const char *path);
    const char*         nm_device_wifi_get_hw_address       (NMDeviceWifi *device);
    NM80211Mode         nm_device_wifi_get_mode             (NMDeviceWifi *device);
    guint32             nm_device_wifi_get_bitrate          (NMDeviceWifi *device);
    guint32             nm_device_wifi_get_capabilities     (NMDeviceWifi *device);
    NMAccessPoint*      nm_device_wifi_get_active_access_point
                                                            (NMDeviceWifi *device);
    NMAccessPoint*      nm_device_wifi_get_access_point_by_path
                                                            (NMDeviceWifi *device,
                                                             const char *path);
    const GPtrArray*    nm_device_wifi_get_access_points    (NMDeviceWifi *device);

## Object Hierarchy

      GObject
       +----NMObject
             +----NMDevice
                   +----NMDeviceWifi

## Properties

      "active-access-point"      NMAccessPoint         : Read
      "bitrate"                  guint                 : Read
      "hw-address"               gchararray            : Read
      "mode"                     guint                 : Read
      "wireless-capabilities"    guint                 : Read

## Signals

      "access-point-added"                             : Run First
      "access-point-removed"                           : Run First

## Description

## Details

### NM_DEVICE_WIFI_HW_ADDRESS

    #define NM_DEVICE_WIFI_HW_ADDRESS          "hw-address"

### NM_DEVICE_WIFI_MODE

    #define NM_DEVICE_WIFI_MODE                "mode"

### NM_DEVICE_WIFI_BITRATE

    #define NM_DEVICE_WIFI_BITRATE             "bitrate"

### NM_DEVICE_WIFI_ACTIVE_ACCESS_POINT

    #define NM_DEVICE_WIFI_ACTIVE_ACCESS_POINT "active-access-point"

### NM_DEVICE_WIFI_CAPABILITIES

    #define NM_DEVICE_WIFI_CAPABILITIES        "wireless-capabilities"

### NMDeviceWifi

    typedef struct _NMDeviceWifi NMDeviceWifi;

### nm_device_wifi_new ()

    GObject*            nm_device_wifi_new                  (DBusGConnection *connection,
                                                             const char *path);

Creates a new NMDeviceWifi.

`connection` :

  the DBusGConnection

`path` :

  the DBus object path of the device

Returns :

  a new device

### nm_device_wifi_get_hw_address ()

    const char*         nm_device_wifi_get_hw_address       (NMDeviceWifi *device);

Gets the hardware (MAC) address of the NMDeviceWifi

`device` :

  a NMDeviceWifi

Returns :

  the hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_wifi_get_mode ()

    NM80211Mode         nm_device_wifi_get_mode             (NMDeviceWifi *device);

Gets the NMDeviceWifi mode.

`device` :

  a NMDeviceWifi

Returns :

  the mode

### nm_device_wifi_get_bitrate ()

    guint32             nm_device_wifi_get_bitrate          (NMDeviceWifi *device);

Gets the bit rate of the NMDeviceWifi.

`device` :

  a NMDeviceWifi

Returns :

  the bit rate

### nm_device_wifi_get_capabilities ()

    guint32             nm_device_wifi_get_capabilities     (NMDeviceWifi *device);

Gets the WIFI capabilities of the NMDeviceWifi.

`device` :

  a NMDeviceWifi

Returns :

  the capabilities

### nm_device_wifi_get_active_access_point ()

    NMAccessPoint*      nm_device_wifi_get_active_access_point
                                                            (NMDeviceWifi *device);

Gets the active NMAccessPoint.

`device` :

  a NMDeviceWifi

Returns :

  the access point or `NULL` if none is active

### nm_device_wifi_get_access_point_by_path ()

    NMAccessPoint*      nm_device_wifi_get_access_point_by_path
                                                            (NMDeviceWifi *device,
                                                             const char *path);

Gets a NMAccessPoint by path.

`device` :

  a NMDeviceWifi

`path` :

  the object path of the access point

Returns :

  the access point or `NULL` if none is found.

### nm_device_wifi_get_access_points ()

    const GPtrArray*    nm_device_wifi_get_access_points    (NMDeviceWifi *device);

Gets all the scanned access points of the NMDeviceWifi.

`device` :

  a NMDeviceWifi

Returns :

  a GPtrArray containing all the scanned NMAccessPoints. The returned array is owned by the client and should not be modified.

## Property Details

### The `"active-access-point"` property

      "active-access-point"      NMAccessPoint         : Read

The active NMAccessPoint of the device.

### The `"bitrate"` property

      "bitrate"                  guint                 : Read

The bit rate of the device.

Default value: 0

### The `"hw-address"` property

      "hw-address"               gchararray            : Read

The hardware (MAC) address of the device.

Default value: NULL

### The `"mode"` property

      "mode"                     guint                 : Read

The mode of the device.

Allowed values: <= 2

Default value: 2

### The `"wireless-capabilities"` property

      "wireless-capabilities"    guint                 : Read

The wireless capabilities of the device.

Default value: 0

## Signal Details

### The `"access-point-added"` signal

    void                user_function                      (NMDeviceWifi *device,
                                                            GObject      *ap,
                                                            gpointer      user_data)      : Run First

Notifies that a NMAccessPoint is added to the wifi device.

`device` :

  the wifi device that received the signal

`ap` :

  the new access point

`user_data` :

  user data set when the signal handler was connected.

### The `"access-point-removed"` signal

    void                user_function                      (NMDeviceWifi *device,
                                                            GObject      *ap,
                                                            gpointer      user_data)      : Run First

Notifies that a NMAccessPoint is removed from the wifi device.

`device` :

  the wifi device that received the signal

`ap` :

  the removed access point

`user_data` :

  user data set when the signal handler was connected.